Subject: [alpine-aports] testing/openblas: update to 0.2.17

From: Isaac Dunham <[email-masked]>
Date: Fri, 25 Mar 2016 19:32:03 -0700

Hello,
Attached is a patch to update OpenBLAS to 0.2.17.
There's also a small tweak to the build() function that makes the compile
less noisy, due to some strange consequences of the recursive make based
buildsystem.

Thanks,
Isaac Dunham

From a225f7147e215bb2f8d0dd47a9a010f1c1bb204b Mon Sep 17 00:00:00 2001
From: Isaac Dunham <[email-masked]>
Date: Fri, 25 Mar 2016 12:05:29 -0700
Subject: [PATCH] testing/openblas: update to 0.2.17

While here, pass CFLAGS on the command line rather than in the environment
because the latter confuses make.
(This fixes all the warnings about CNAME/ASMNAME/... getting defined
multiple times.)
---
 testing/openblas/APKBUILD | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/testing/openblas/APKBUILD b/testing/openblas/APKBUILD
index 654219f..427125d 100644
--- a/testing/openblas/APKBUILD
+++ b/testing/openblas/APKBUILD
@@ -1,8 +1,8 @@
 # Contributor: Isaac Dunham <[email-masked]>
 # Maintainer: Isaac Dunham <[email-masked]>
 pkgname=openblas
-pkgver=0.2.15
-pkgrel=1
+pkgver=0.2.17
+pkgrel=0
 pkgdesc="A fast BSD-licensed BLAS based on gotoBLAS2, with LAPACK"
 url="http://www.openblas.net"
 arch="all"
@@ -39,7 +39,8 @@ FLAGS="USE_OPENMP=0 NO_LAPACK=0 NUM_THREADS=32 MAJOR_VERSION=3 \
 
 build() {
 	cd "$_builddir"
-	make $FLAGS PREFIX=/usr || return 1
+# 
+	CFLAGS= make CFLAGS="$CFLAGS" $FLAGS PREFIX=/usr TOPDIR="$_builddir" || return 1
 }
 
 package() {
@@ -51,6 +52,6 @@ package() {
 		install -m 0644 $FILE "$pkgdir/usr/share/doc/$pkgname" || return 1
 	done
 }
-md5sums="b1190f3d3471685f17cfd1ec1d252ac9  openblas-0.2.15.tar.gz"
-sha256sums="73c40ace5978282224e5e122a41c8388c5a19e65a6f2329c2b7c0b61bacc9044  openblas-0.2.15.tar.gz"
-sha512sums="5b61556a9bd2c622bc31ec7a1b4cbab67740e40c4f0717670b16987d687efdd83d3bd8b2c0b158a8da956ef04665cf9a00b6b1f1619b6353a206a31a5e5d6c9a  openblas-0.2.15.tar.gz"
+md5sums="664a12807f2a2a7cda4781e3ab2ae0e1  openblas-0.2.17.tar.gz"
+sha256sums="0fe836dfee219ff4cadcc3567fb2223d9e0da5f60c7382711fb9e2c35ecf0dbf  openblas-0.2.17.tar.gz"
+sha512sums="ae49294e0d4903d5f385c256956ac950a75cbc4f828a31c7c324e2512831afa955c22d71e965256c355d38e45cde1987ee2babb12ba9ab9e99323e476790b507  openblas-0.2.17.tar.gz"
-- 
2.7.4

---

From: Timo Teras <[email-masked]>
Date: Sat, 26 Mar 2016 11:15:02 +0200

On Fri, 25 Mar 2016 19:32:03 -0700
Isaac Dunham <[email-masked]> wrote:

> There's also a small tweak to the build() function that makes the
> compile less noisy, due to some strange consequences of the recursive
> make based buildsystem.

Failed for me with:

make[1]: Entering directory '/home/tteras/aports/testing/openblas/src/OpenBLAS-0.2.17/utest'
gcc -Os -fomit-frame-pointer -O2 -DUTEST_CHECK -DSANITY_CHECK -DREFNAME=utest_mainf_ -DMAX_STACK_ALLOC=2048 -Wall -m64 -DF_INTERFACE_GFORT -fPIC -DDYNAMIC_ARCH -DSMP_SERVER -DNO_WARMUP -DMAX_CPU_NUMBER=32 -DASMNAME=utest_main -DASMFNAME=utest_main_ -DNAME=utest_main_ -DCNAME=utest_main -DCHAR_NAME=\"utest_main_\" -DCHAR_CNAME=\"utest_main\" -DNO_AFFINITY -I/home/tteras/aports/testing/openblas/src/OpenBLAS-0.2.17 -Os -fomit-frame-pointer  -c -o utest_main.o utest_main.c
In file included from openblas_utest.h:38:0,
                 from utest_main.c:39:
ctest.h: In function 'sighandler':
ctest.h:640:45: error: 'sys_siglist' undeclared (first use in this function)
     sprintf(msg, "[SIGNAL %d: %s]", signum, sys_siglist[signum]);
                                             ^
ctest.h:640:45: note: each undeclared identifier is reported only once for each function it appears in
<builtin>: recipe for target 'utest_main.o' failed